function findfilespp(Mask,ParentDir)
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

if nargin < 2;[parentfilename,ParentDir]=uigetfile('*.*','Bitte File aus Parent-directory wählen:');end
if nargin < 1; Mask = [];end
if isempty(Mask); Mask=['*.3.at1']; end
if isempty(ParentDir); ParentDir='K:\MEG\FPKN\FPK\'; end 


DL=[];
for i=1:61
    iStr=int2str(i);
    if i<10
        iStr=['0',iStr];
    end
    for j=1:2
        for k=1:2:5
            Path=[ParentDir,iStr,filesep,int2str(j),'.',int2str(k),filesep];
            D=dir([Path,Mask]);
            if ~isempty(D)
                if isempty(DL)
                    DL=char([Path,D.name]);
                else
                    DL=char(DL,[Path,D.name]);
                end
            end
        end
    end
end